#### D.9.2.3 tex

Procedure from library `latex.lib` (see latex_lib).

Usage:
  tex(fname); fname string

Return:
  nothing; calls latex (LaTeX2e) for compiling the file fname

Note:
  preceding ">>" are deleted and suffix ".tex" (if not given) is added to `fname`.

Example:

    LIB "latex.lib";
    ring r;
    ideal I = maxideal(7);
    opentex("exp001");              // open latex2e document
    texobj("exp001","An ideal ",I);
    closetex("exp001");
    tex("exp001");
    ==> calling latex2e for: exp001.tex
    ==>
    ==> This is pdfTeX, Version 3.141592653-2.6-1.40.26 (TeX Live 2024 Gentoo Lin\
       ux) (preloaded format=latex)
    ==>  restricted \write18 enabled.
    ==> entering extended mode
    ==> (./exp001.tex
    ==> LaTeX2e <2024-11-01>
    ==> L3 programming layer <2024-11-02>
    ==> (/usr/share/texmf-dist/tex/latex/base/article.cls
    ==> Document Class: article 2024/06/29 v1.4n Standard LaTeX document class
    ==> (/usr/share/texmf-dist/tex/latex/base/size10.clo))
    ==> (/usr/share/texmf-dist/tex/latex/amsmath/amsmath.sty
    ==> For additional information on amsmath, use the `?' option.
    ==> (/usr/share/texmf-dist/tex/latex/amsmath/amstext.sty
    ==> (/usr/share/texmf-dist/tex/latex/amsmath/amsgen.sty))
    ==> (/usr/share/texmf-dist/tex/latex/amsmath/amsbsy.sty)
    ==> (/usr/share/texmf-dist/tex/latex/amsmath/amsopn.sty))
    ==> (/usr/share/texmf-dist/tex/latex/amsfonts/amssymb.sty
    ==> (/usr/share/texmf-dist/tex/latex/amsfonts/amsfonts.sty))
    ==> (/usr/share/texmf-dist/tex/latex/l3backend/l3backend-dvips.def)
    ==> No file exp001.aux.
    ==> (/usr/share/texmf-dist/tex/latex/amsfonts/umsa.fd)
    ==> (/usr/share/texmf-dist/tex/latex/amsfonts/umsb.fd)
    ==> [1] (./exp001.aux) )
    ==> Output written on exp001.dvi (1 page, 2944 bytes).
    ==> Transcript written on exp001.log.
    system("sh","rm exp001.*");
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.